Package ru.bitel.bgbilling.modules.trayinfo.server.bean

# Class TrayInfoLoginManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.trayinfo.server.bean.TrayInfoLoginManager

public class TrayInfoLoginManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrayInfoLoginManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTrayInfoLogin(int cid, String pswd, Date date1, Date date2)`
  `void`
  `deleteTrayInfoLogin(int id)`
  Удаление логина по его id/login.
  `void`
  `generateTrayInfoLogin(int type, int contractId, String pswd)`
  Геренация нового логина.
  `int`
  `getCidIsActive(String login, String pswd)`
  Возвращает ид договора, если есть активный аккаунт на сейчас, по логину и паролю.
  `List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin>`
  `getContractLoginsList(int contractId)`
  Все логины с фильтром по договору. сортировка по date1 убывание.
  `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin`
  `getTrayInfoLogin(int id)`
  `boolean`
  `hasActiveLogin(int cid, Date time)`
  `void`
  `updateTrayInfoLogin(int id, String pswd, Date date1, Date date2)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrayInfoLoginManager

    public TrayInfoLoginManager(Connection con, int moduleId)

- ## Method Details

  - ### getTrayInfoLogin

    public ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin getTrayInfoLogin(int id) throws SQLException
    Throws:
      `SQLException`

  - ### deleteTrayInfoLogin

    public void deleteTrayInfoLogin(int id) throws SQLException
    Удаление логина по его id/login.
    Throws:
      `SQLException`

  - ### getContractLoginsList

    public List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin> getContractLoginsList(int contractId) throws SQLException
    Все логины с фильтром по договору. сортировка по date1 убывание.
    Parameters:
      `contractId` - договор, если -1 — игнорируется.
    Returns:
      список логинов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addTrayInfoLogin

    public void addTrayInfoLogin(int cid, String pswd, Date date1, Date date2) throws SQLException
    Throws:
      `SQLException`

  - ### hasActiveLogin

    public boolean hasActiveLogin(int cid, Date time) throws SQLException
    Throws:
      `SQLException`

  - ### getCidIsActive

    public int getCidIsActive(String login, String pswd) throws SQLException
    Возвращает ид договора, если есть активный аккаунт на сейчас, по логину и паролю.
    Parameters:
      `login` - логин
      `pswd` - пароль
    Returns:
      ид договора, или -1, если не найдено соответствия логин-пароль на текущий момент времени.
    Throws:
      `SQLException` - ошибка эскуэля

  - ### updateTrayInfoLogin

    public void updateTrayInfoLogin(int id, String pswd, Date date1, Date date2) throws SQLException
    Throws:
      `SQLException`

  - ### generateTrayInfoLogin

    public void generateTrayInfoLogin(int type, int contractId, String pswd) throws ru.bitel.bgbilling.common.BGException
    Геренация нового логина.
    Parameters:
      `type` -
      `contractId` -
      `pswd` -
    Throws:
      `ru.bitel.bgbilling.common.BGException` - если какая ошибка, или нет денег.